src/mesh/cs_mesh_quantities.c File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Typedefs | Enumerations | Functions | Variables
cs_mesh_quantities.c File Reference
`#include "cs_defs.h"`
`#include <math.h>`
`#include <float.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <assert.h>`
`#include "bft_mem.h"`
`#include "bft_error.h"`
`#include "bft_printf.h"`
`#include "cs_base.h"`
`#include "cs_halo_perio.h"`
`#include "cs_mesh.h"`
`#include "cs_mesh_connect.h"`
`#include "cs_parall.h"`
`#include "cs_mesh_quantities.h"`
Include dependency graph for cs_mesh_quantities.c:

## Macros
#define | _CS_CROSS_PRODUCT(prod_vect, vect1, vect2)
#define | _CS_DOT_PRODUCT(vect1, vect2) (vect1[X] * vect2[X] + vect1[Y] * vect2[Y] + vect1[Z] * vect2[Z])
#define | _CS_MODULE(vect) sqrt(vect[X] * vect[X] + vect[Y] * vect[Y] + vect[Z] * vect[Z])

## Typedefs
typedef double | _vtx_coords_t [3]

## Enumerations
enum | { X, Y, Z }

## Functions
void | algcen (cs_int_t *const iopt)
void | comcoc (const cs_int_t *const imrgra)
int | cs_mesh_quantities_cell_cen_choice (const int algo_choice)
void | cs_mesh_quantities_set_cocg_options (int gradient_option)
cs_mesh_quantities_t * | cs_mesh_quantities_create (void)
cs_mesh_quantities_t * | cs_mesh_quantities_destroy (cs_mesh_quantities_t *mesh_quantities)
void | cs_mesh_quantities_compute (const cs_mesh_t *mesh, cs_mesh_quantities_t *mesh_quantities)
void | cs_mesh_quantities_sup_vectors (const cs_mesh_t *mesh, cs_mesh_quantities_t *mesh_quantities)
void | cs_mesh_quantities_face_normal (const cs_mesh_t *mesh, cs_real_t *p_i_face_normal[], cs_real_t *p_b_face_normal[])
void | cs_mesh_quantities_i_faces (const cs_mesh_t *mesh, cs_real_t *p_i_face_cog[], cs_real_t *p_i_face_normal[])
void | cs_mesh_quantities_b_faces (const cs_mesh_t *mesh, cs_real_t *p_b_face_cog[], cs_real_t *p_b_face_normal[])
void | cs_mesh_quantities_check_vol (const cs_mesh_t *mesh, const cs_mesh_quantities_t *mesh_quantities, int allow_error)
void | cs_mesh_quantities_reduce_extended (const cs_mesh_t *mesh, cs_mesh_quantities_t *mesh_quantities)
int | cs_mesh_quantities_compute_count (void)
void | cs_mesh_quantities_dump (const cs_mesh_t *mesh, const cs_mesh_quantities_t *mesh_quantities)

## Variables
cs_mesh_quantities_t * | cs_glob_mesh_quantities = NULL

## Macro Definition Documentation

#define _CS_CROSS_PRODUCT | ( |  | prod_vect,
|  |  | vect1,
|  |  | vect2
| ) |  |

Value:
(prod_vect[X] = vect1[Y] * vect2[Z] - vect2[Y] * vect1[Z], \
prod_vect[Y] = vect2[X] * vect1[Z] - vect1[X] * vect2[Z], \
prod_vect[Z] = vect1[X] * vect2[Y] - vect2[X] * vect1[Y])

#define _CS_DOT_PRODUCT | ( |  | vect1,
|  |  | vect2
| ) |  | (vect1[X] * vect2[X] + vect1[Y] * vect2[Y] + vect1[Z] * vect2[Z])

#define _CS_MODULE | ( |  | vect | ) | sqrt(vect[X] * vect[X] + vect[Y] * vect[Y] + vect[Z] * vect[Z])

## Typedef Documentation

typedef double _vtx_coords_t[3]

## Enumeration Type Documentation

anonymous enum

Enumerator
X |
Y |
Z |

## Function Documentation

void algcen | ( | cs_int_t *const | iopt | ) |

void comcoc | ( | const cs_int_t *const | imrgra | ) |

void cs_mesh_quantities_b_faces | ( | const cs_mesh_t * | mesh,
|  | cs_real_t * | p_b_face_cog[],
|  | cs_real_t * | p_b_face_normal[]
| ) |  |

int cs_mesh_quantities_cell_cen_choice | ( | const int | algo_choice | ) |

void cs_mesh_quantities_check_vol | ( | const cs_mesh_t * | mesh,
|  | const cs_mesh_quantities_t * | mesh_quantities,
|  | int | allow_error
| ) |  |

void cs_mesh_quantities_compute | ( | const cs_mesh_t * | mesh,
|  | cs_mesh_quantities_t * | mesh_quantities
| ) |  |

int cs_mesh_quantities_compute_count | ( | void |  | ) |

cs_mesh_quantities_t* cs_mesh_quantities_create | ( | void |  | ) |

cs_mesh_quantities_t* cs_mesh_quantities_destroy | ( | cs_mesh_quantities_t * | mesh_quantities | ) |

void cs_mesh_quantities_dump | ( | const cs_mesh_t * | mesh,
|  | const cs_mesh_quantities_t * | mesh_quantities
| ) |  |

void cs_mesh_quantities_face_normal | ( | const cs_mesh_t * | mesh,
|  | cs_real_t * | p_i_face_normal[],
|  | cs_real_t * | p_b_face_normal[]
| ) |  |

void cs_mesh_quantities_i_faces | ( | const cs_mesh_t * | mesh,
|  | cs_real_t * | p_i_face_cog[],
|  | cs_real_t * | p_i_face_normal[]
| ) |  |

void cs_mesh_quantities_reduce_extended | ( | const cs_mesh_t * | mesh,
|  | cs_mesh_quantities_t * | mesh_quantities
| ) |  |

void cs_mesh_quantities_set_cocg_options | ( | int | gradient_option | ) |

void cs_mesh_quantities_sup_vectors | ( | const cs_mesh_t * | mesh,
|  | cs_mesh_quantities_t * | mesh_quantities
| ) |  |

## Variable Documentation

cs_mesh_quantities_t* cs_glob_mesh_quantities = NULL